#Find Longest Seq Test for a large number of accessions to test limit.
#Expect that the longest seq for A. christyi is accesseion
# number KT691775.1 is the longest of 1366 bp. These are non-homologous
#UCE loci, but a lot of them, so try it anyways. Note, tests have had
#issues on CRAN, so if a stable connection cannot be reached with the
#database, the test will skip.

test_that("More than max query works to find longest seq",{
Achrist<-structure(list(V1 = structure(1:1041, .Label = c("KT634321", 
                                                   "KT634377", "KT634433", "KT634488", "KT634544", "KT634600", 
                                                   "KT634655", "KT634711", "KT634759", "KT634814", "KT634869", 
                                                   "KT634925", "KT635003", "KT635059", "KT635168", "KT635222", 
                                                   "KT635278", "KT635334", "KT635444", "KT635500", "KT635556", 
                                                   "KT635612", "KT635668", "KT635724", "KT635780", "KT635835", 
                                                   "KT635887", "KT635941", "KT635996", "KT636052", "KT636108", 
                                                   "KT636178", "KT636232", "KT636288", "KT636344", "KT636399", 
                                                   "KT636455", "KT636502", "KT636576", "KT636632", "KT636687", 
                                                   "KT636742", "KT636798", "KT636854", "KT636903", "KT636958", 
                                                   "KT637014", "KT637070", "KT637125", "KT637180", "KT637214", 
                                                   "KT637270", "KT637325", "KT637380", "KT637436", "KT637488", 
                                                   "KT637543", "KT637598", "KT637654", "KT637710", "KT637766", 
                                                   "KT637822", "KT637878", "KT637934", "KT637989", "KT638043", 
                                                   "KT638097", "KT638153", "KT638208", "KT638263", "KT638313", 
                                                   "KT638369", "KT638424", "KT638466", "KT638521", "KT638577", 
                                                   "KT638633", "KT638689", "KT638741", "KT638797", "KT638849", 
                                                   "KT638905", "KT638959", "KT638981", "KT639054", "KT639115", 
                                                   "KT639167", "KT639221", "KT639277", "KT639331", "KT639387", 
                                                   "KT639490", "KT639545", "KT639601", "KT639656", "KT639711", 
                                                   "KT639767", "KT639823", "KT639876", "KT639932", "KT639988", 
                                                   "KT640011", "KT640066", "KT640120", "KT640176", "KT640225", 
                                                   "KT640385", "KT640441", "KT640497", "KT640552", "KT640608", 
                                                   "KT640662", "KT640715", "KT640771", "KT640827", "KT640883", 
                                                   "KT640929", "KT640983", "KT641039", "KT641094", "KT641149", 
                                                   "KT641199", "KT641255", "KT641311", "KT641367", "KT641420", 
                                                   "KT641528", "KT641584", "KT641688", "KT641744", "KT641799", 
                                                   "KT641854", "KT641910", "KT641966", "KT642022", "KT642074", 
                                                   "KT642119", "KT642175", "KT642231", "KT642286", "KT642337", 
                                                   "KT642393", "KT642449", "KT642505", "KT642561", "KT642617", 
                                                   "KT642673", "KT642729", "KT642785", "KT642836", "KT642892", 
                                                   "KT642948", "KT643004", "KT643059", "KT643114", "KT643170", 
                                                   "KT643221", "KT643277", "KT643350", "KT643406", "KT643462", 
                                                   "KT643517", "KT643573", "KT643629", "KT643685", "KT643766", 
                                                   "KT643820", "KT643875", "KT643930", "KT643986", "KT644042", 
                                                   "KT644097", "KT644153", "KT644209", "KT644264", "KT644317", 
                                                   "KT644373", "KT644429", "KT644485", "KT644541", "KT644596", 
                                                   "KT644652", "KT644705", "KT644761", "KT644816", "KT644872", 
                                                   "KT644928", "KT644981", "KT645036", "KT645091", "KT645146", 
                                                   "KT645202", "KT645256", "KT645312", "KT645368", "KT645424", 
                                                   "KT645479", "KT645534", "KT645589", "KT645645", "KT645698", 
                                                   "KT645754", "KT645810", "KT645866", "KT645922", "KT645978", 
                                                   "KT646034", "KT646089", "KT646145", "KT646200", "KT646256", 
                                                   "KT646312", "KT646390", "KT646446", "KT646502", "KT646558", 
                                                   "KT646613", "KT646669", "KT646777", "KT646831", "KT646887", 
                                                   "KT646943", "KT646996", "KT647052", "KT647108", "KT647164", 
                                                   "KT647220", "KT647276", "KT647332", "KT647388", "KT647443", 
                                                   "KT647494", "KT647547", "KT647603", "KT647659", "KT647714", 
                                                   "KT647760", "KT647813", "KT647869", "KT647925", "KT647981", 
                                                   "KT648037", "KT648092", "KT648146", "KT648202", "KT648258", 
                                                   "KT648311", "KT648363", "KT648465", "KT648519", "KT648573", 
                                                   "KT648629", "KT648685", "KT648741", "KT648795", "KT648848", 
                                                   "KT648904", "KT648976", "KT649032", "KT649088", "KT649143", 
                                                   "KT649199", "KT649253", "KT649308", "KT649403", "KT649459", 
                                                   "KT649515", "KT649571", "KT649626", "KT649682", "KT649737", 
                                                   "KT649793", "KT649849", "KT649903", "KT649959", "KT650014", 
                                                   "KT650070", "KT650110", "KT650207", "KT650262", "KT650314", 
                                                   "KT650368", "KT650408", "KT650463", "KT650518", "KT650574", 
                                                   "KT650630", "KT650685", "KT650739", "KT650795", "KT650851", 
                                                   "KT650902", "KT650958", "KT651011", "KT651066", "KT651122", 
                                                   "KT651177", "KT651233", "KT651289", "KT651344", "KT651399", 
                                                   "KT651437", "KT651493", "KT651549", "KT651605", "KT651661", 
                                                   "KT651715", "KT651770", "KT651826", "KT651882", "KT651937", 
                                                   "KT651993", "KT652049", "KT652105", "KT652160", "KT652216", 
                                                   "KT652270", "KT652323", "KT652379", "KT652434", "KT652507", 
                                                   "KT652563", "KT652623", "KT652679", "KT652734", "KT652787", 
                                                   "KT652843", "KT652899", "KT652955", "KT652973", "KT653029", 
                                                   "KT653085", "KT653151", "KT653207", "KT653257", "KT653310", 
                                                   "KT653366", "KT653421", "KT653475", "KT653531", "KT653587", 
                                                   "KT653643", "KT653699", "KT653755", "KT653810", "KT653866", 
                                                   "KT653898", "KT653953", "KT654009", "KT654055", "KT654110", 
                                                   "KT654166", "KT654222", "KT654278", "KT654334", "KT654390", 
                                                   "KT654444", "KT654498", "KT654553", "KT654607", "KT654660", 
                                                   "KT654715", "KT654771", "KT654827", "KT654882", "KT654938", 
                                                   "KT654993", "KT655008", "KT655064", "KT655120", "KT655213", 
                                                   "KT655269", "KT655324", "KT655380", "KT655435", "KT655490", 
                                                   "KT655546", "KT655599", "KT655655", "KT655710", "KT655766", 
                                                   "KT655821", "KT655877", "KT655933", "KT655989", "KT656045", 
                                                   "KT656093", "KT656202", "KT656258", "KT656314", "KT656370", 
                                                   "KT656425", "KT656479", "KT656535", "KT656590", "KT656645", 
                                                   "KT656699", "KT656755", "KT656831", "KT656880", "KT656935", 
                                                   "KT656991", "KT657098", "KT657154", "KT657210", "KT657266", 
                                                   "KT657312", "KT657365", "KT657414", "KT657470", "KT657526", 
                                                   "KT657581", "KT657632", "KT657686", "KT657742", "KT657798", 
                                                   "KT657850", "KT657906", "KT657961", "KT658017", "KT658072", 
                                                   "KT658128", "KT658184", "KT658240", "KT658296", "KT658346", 
                                                   "KT658400", "KT658456", "KT658512", "KT658563", "KT658593", 
                                                   "KT658648", "KT658703", "KT658759", "KT658814", "KT658830", 
                                                   "KT658886", "KT658942", "KT658998", "KT659054", "KT659107", 
                                                   "KT659163", "KT659218", "KT659274", "KT659329", "KT659385", 
                                                   "KT659440", "KT659495", "KT659551", "KT659606", "KT659662", 
                                                   "KT659718", "KT659774", "KT659830", "KT659884", "KT659940", 
                                                   "KT659969", "KT660023", "KT660078", "KT660132", "KT660187", 
                                                   "KT660243", "KT660299", "KT660354", "KT660410", "KT660464", 
                                                   "KT660520", "KT660576", "KT660631", "KT660687", "KT660743", 
                                                   "KT660798", "KT660854", "KT660910", "KT660966", "KT661022", 
                                                   "KT661078", "KT661134", "KT661189", "KT661245", "KT661300", 
                                                   "KT661359", "KT661414", "KT661469", "KT661525", "KT661579", 
                                                   "KT661635", "KT661688", "KT661743", "KT661798", "KT661877", 
                                                   "KT661933", "KT661987", "KT662043", "KT662094", "KT662150", 
                                                   "KT662214", "KT662269", "KT662325", "KT662380", "KT662436", 
                                                   "KT662490", "KT662545", "KT662600", "KT662656", "KT662712", 
                                                   "KT662768", "KT662824", "KT662879", "KT662931", "KT662987", 
                                                   "KT663041", "KT663097", "KT663151", "KT663207", "KT663263", 
                                                   "KT663319", "KT663373", "KT663429", "KT663483", "KT663539", 
                                                   "KT663595", "KT663650", "KT663706", "KT663762", "KT663828", 
                                                   "KT663884", "KT663939", "KT663993", "KT664049", "KT664105", 
                                                   "KT664161", "KT664211", "KT664266", "KT664322", "KT664375", 
                                                   "KT664431", "KT664486", "KT664533", "KT664589", "KT664638", 
                                                   "KT664694", "KT664750", "KT664804", "KT664860", "KT664916", 
                                                   "KT664972", "KT665027", "KT665082", "KT665138", "KT665193", 
                                                   "KT665249", "KT665305", "KT665361", "KT665417", "KT665469", 
                                                   "KT665525", "KT665580", "KT665634", "KT665689", "KT665745", 
                                                   "KT665801", "KT665857", "KT665912", "KT665968", "KT666024", 
                                                   "KT666080", "KT666135", "KT666191", "KT666246", "KT666302", 
                                                   "KT666356", "KT666406", "KT666460", "KT666525", "KT666581", 
                                                   "KT666636", "KT666692", "KT666748", "KT666803", "KT666854", 
                                                   "KT666910", "KT666966", "KT667021", "KT667075", "KT667130", 
                                                   "KT667186", "KT667242", "KT667298", "KT667353", "KT667407", 
                                                   "KT667457", "KT667508", "KT667564", "KT667619", "KT667664", 
                                                   "KT667717", "KT667747", "KT667803", "KT667859", "KT667911", 
                                                   "KT667966", "KT668021", "KT668077", "KT668133", "KT668187", 
                                                   "KT668243", "KT668295", "KT668350", "KT668405", "KT668510", 
                                                   "KT668566", "KT668622", "KT668678", "KT668724", "KT668780", 
                                                   "KT668840", "KT668894", "KT668950", "KT669006", "KT669061", 
                                                   "KT669117", "KT669173", "KT669229", "KT669280", "KT669335", 
                                                   "KT669390", "KT669444", "KT669500", "KT669556", "KT669611", 
                                                   "KT669662", "KT669718", "KT669774", "KT669830", "KT669886", 
                                                   "KT669942", "KT669992", "KT670047", "KT670103", "KT670157", 
                                                   "KT670213", "KT670268", "KT670315", "KT670369", "KT670424", 
                                                   "KT670480", "KT670535", "KT670591", "KT670644", "KT670700", 
                                                   "KT670755", "KT670809", "KT670862", "KT670918", "KT670972", 
                                                   "KT671021", "KT671077", "KT671183", "KT671202", "KT671257", 
                                                   "KT671313", "KT671369", "KT671424", "KT671479", "KT671533", 
                                                   "KT671589", "KT671644", "KT671699", "KT671755", "KT671811", 
                                                   "KT671867", "KT671923", "KT671979", "KT672035", "KT672091", 
                                                   "KT672144", "KT672204", "KT672260", "KT672316", "KT672408", 
                                                   "KT672464", "KT672520", "KT672576", "KT672632", "KT672686", 
                                                   "KT672742", "KT672798", "KT672853", "KT672909", "KT672965", 
                                                   "KT673021", "KT673075", "KT673130", "KT673185", "KT673241", 
                                                   "KT673293", "KT673349", "KT673404", "KT673458", "KT673514", 
                                                   "KT673570", "KT673652", "KT673708", "KT673764", "KT673819", 
                                                   "KT673873", "KT673929", "KT673984", "KT674038", "KT674091", 
                                                   "KT674147", "KT674202", "KT674258", "KT674313", "KT674369", 
                                                   "KT674424", "KT674480", "KT674536", "KT674592", "KT674647", 
                                                   "KT674703", "KT674756", "KT674812", "KT674868", "KT674922", 
                                                   "KT674978", "KT675034", "KT675090", "KT675145", "KT675201", 
                                                   "KT675254", "KT675310", "KT675365", "KT675421", "KT675477", 
                                                   "KT675532", "KT675588", "KT675644", "KT675700", "KT675756", 
                                                   "KT675804", "KT675859", "KT675915", "KT675970", "KT676026", 
                                                   "KT676077", "KT676133", "KT676189", "KT676244", "KT676300", 
                                                   "KT676356", "KT676412", "KT676468", "KT676524", "KT676580", 
                                                   "KT676635", "KT676691", "KT676745", "KT676792", "KT676848", 
                                                   "KT676903", "KT676959", "KT677015", "KT677070", "KT677126", 
                                                   "KT677199", "KT677255", "KT677311", "KT677362", "KT677416", 
                                                   "KT677470", "KT677578", "KT677634", "KT677690", "KT677746", 
                                                   "KT677793", "KT677849", "KT677904", "KT677960", "KT678011", 
                                                   "KT678062", "KT678113", "KT678168", "KT678224", "KT678278", 
                                                   "KT678329", "KT678437", "KT678493", "KT678549", "KT678604", 
                                                   "KT678658", "KT678713", "KT678769", "KT678825", "KT678880", 
                                                   "KT678936", "KT678990", "KT679046", "KT679102", "KT679158", 
                                                   "KT679214", "KT679270", "KT679315", "KT679371", "KT679427", 
                                                   "KT679483", "KT679537", "KT679593", "KT679649", "KT679682", 
                                                   "KT679738", "KT679794", "KT679849", "KT679905", "KT679960", 
                                                   "KT680015", "KT680071", "KT680127", "KT680183", "KT680239", 
                                                   "KT680295", "KT680351", "KT680406", "KT680461", "KT680517", 
                                                   "KT680571", "KT680625", "KT680680", "KT680736", "KT680788", 
                                                   "KT680827", "KT680882", "KT680938", "KT680994", "KT681049", 
                                                   "KT681104", "KT681160", "KT681216", "KT681271", "KT681327", 
                                                   "KT681374", "KT681430", "KT681485", "KT681540", "KT681596", 
                                                   "KT681651", "KT681707", "KT681763", "KT681819", "KT681873", 
                                                   "KT681928", "KT681975", "KT681996", "KT682052", "KT682108", 
                                                   "KT682163", "KT682219", "KT682275", "KT682327", "KT682383", 
                                                   "KT682433", "KT682488", "KT682544", "KT682600", "KT682656", 
                                                   "KT682712", "KT682768", "KT682823", "KT682879", "KT682933", 
                                                   "KT682989", "KT683044", "KT683100", "KT683156", "KT683211", 
                                                   "KT683267", "KT683322", "KT683378", "KT683428", "KT683483", 
                                                   "KT683539", "KT683595", "KT683651", "KT683707", "KT683757", 
                                                   "KT683813", "KT683869", "KT683925", "KT683979", "KT684035", 
                                                   "KT684090", "KT684144", "KT684200", "KT684256", "KT684312", 
                                                   "KT684326", "KT684378", "KT684434", "KT684490", "KT684544", 
                                                   "KT684600", "KT684656", "KT684712", "KT684768", "KT684824", 
                                                   "KT684870", "KT684926", "KT684981", "KT685037", "KT685088", 
                                                   "KT685138", "KT685194", "KT685250", "KT685306", "KT685362", 
                                                   "KT685417", "KT685473", "KT685529", "KT685584", "KT685640", 
                                                   "KT685696", "KT685752", "KT685807", "KT685912", "KT685967", 
                                                   "KT686022", "KT686077", "KT686127", "KT686180", "KT686236", 
                                                   "KT686292", "KT686347", "KT686403", "KT686458", "KT686512", 
                                                   "KT686568", "KT686624", "KT686680", "KT686736", "KT686791", 
                                                   "KT686847", "KT686903", "KT687000", "KT687045", "KT687101", 
                                                   "KT687157", "KT687213", "KT687269", "KT687323", "KT687379", 
                                                   "KT687435", "KT687489", "KT687538", "KT687594", "KT687649", 
                                                   "KT687705", "KT687757", "KT687812", "KT687867", "KT687923", 
                                                   "KT687979", "KT688082", "KT688138", "KT688193", "KT688248", 
                                                   "KT688304", "KT688412", "KT688468", "KT688523", "KT688579", 
                                                   "KT688635", "KT688689", "KT688744", "KT688800", "KT688856", 
                                                   "KT688912", "KT688967", "KT689023", "KT689079", "KT689135", 
                                                   "KT689190", "KT689246", "KT689301", "KT689352", "KT689408", 
                                                   "KT689464", "KT689520", "KT689576", "KT689631", "KT689686", 
                                                   "KT689741", "KT689797", "KT689847", "KT689902", "KT689958", 
                                                   "KT690014", "KT690070", "KT690126", "KT690182", "KT690231", 
                                                   "KT690287", "KT690341", "KT690397", "KT690452", "KT690508", 
                                                   "KT690563", "KT690618", "KT690672", "KT690728", "KT690782", 
                                                   "KT690834", "KT690889", "KT690945", "KT691001", "KT691054", 
                                                   "KT691110", "KT691166", "KT691221", "KT691275", "KT691331", 
                                                   "KT691386", "KT691442", "KT691498", "KT691554", "KT691609", 
                                                   "KT691665", "KT691719", "KT691775", "KT691819", "KT691873", 
                                                   "KT691928", "KT691982", "KT692038", "KT692094", "KT692150", 
                                                   "KT692259", "KT692315", "KT692370", "KT692425", "KT692481"
  ), class = "factor")), .Names = "V1", class = "data.frame", row.names = c(NA, -1041L))
long.manual<-try(ape::read.GenBank(as.vector(Achrist$V1),chunk.size = 400, quiet = FALSE))
if ("try-error"%in%class(long.manual)) {
  skip("could not connect to remote database")
}else{
  long.manual.res<-which(summary(long.manual)[,1]==max(as.numeric(summary(long.manual)[,1])))
  long.test.res <- try(FindLongestSeq(Achrist$V1)$Accession)
}
if ("try-error"%in%class(long.test.res)) {
    skip("could not connect to remote database")
}
  expect_identical(long.test.res, names(long.manual.res))
})
